<?php

/******************************************************************************
 *
 *	PROJECT: Flynax Classifieds Software
 *	VERSION: 4.0
 *	LISENSE: http://www.flynax.com/license-agreement.html
 *	PRODUCT: General Classifieds
 *	
 *	FILE: SYSTEM.LIB.PHP
 *
 *	This script is a commercial software and any kind of using it must be 
 *	coordinate with Flynax Owners Team and be agree to Flynax License Agreement
 *
 *	This block may not be removed from this file or any other files with out 
 *	permission of Flynax respective owners.
 *
 *	Copyrights Flynax Classifieds Software | 2012
 *	http://www.flynax.com/
 *
 ******************************************************************************/

/* fields types list */
$l_types = array(
	'text' => $GLOBALS['lang']['type_text'],
	'textarea' => $GLOBALS['lang']['type_textarea'],
	'number' => $GLOBALS['lang']['type_number'],
	'date' => $GLOBALS['lang']['type_date'],
	'mixed' => $GLOBALS['lang']['type_mixed'],
	'price' => $GLOBALS['lang']['type_price'],
	'bool' => $GLOBALS['lang']['type_bool'],
	'select' => $GLOBALS['lang']['type_select'],
	'radio' => $GLOBALS['lang']['type_radio'],
	'checkbox' => $GLOBALS['lang']['type_checkbox'],
	'image' => $GLOBALS['lang']['type_image'],
	'file' => $GLOBALS['lang']['type_file_storage'],
	'accept' => $GLOBALS['lang']['type_accept']
);

/* conditions list */
$l_cond = array(
	'isEmail' => $GLOBALS['lang']['mail'],
	'isUrl' => $GLOBALS['lang']['url']
);

/* resize types list */
$l_resize = array(
	'W' => $GLOBALS['lang']['by_width'],
	'H' => $GLOBALS['lang']['by_height'],
	'C' => $GLOBALS['lang']['by_width_height']
);

/* file types list */
$l_file_types = array(
	'pdf' => array(
		'name' => $GLOBALS['lang']['adobe_acrobat'],
		'ext' => 'pdf',
	),
	'zip' => array(
		'name' => $GLOBALS['lang']['archive'],
		'ext' => 'zip,rar',
	),
	'doc' => array(
		'name' => $GLOBALS['lang']['ms_word'],
		'ext' => 'doc,rtf',
	),
	'xls' => array(
		'name' => $GLOBALS['lang']['ms_excel'],
		'ext' => 'xls,csv',
	)
);

/* menus types */
$l_menu_types = array(
	'1' => $GLOBALS['lang']['main_menu'],
	'2' => $GLOBALS['lang']['account_menu'],
	'3' => $GLOBALS['lang']['bottom_menu']
);

if ( $tpl_settings['inventory_menu'] === true )
{
	$l_menu_types['4'] = $GLOBALS['lang']['inventory_menu'];
}

/* menus types */
$l_mobile_menu_types = array(
	'5' => $GLOBALS['lang']['main_menu'],
	'6' => $GLOBALS['lang']['user_menu'],
	'7' => $GLOBALS['lang']['bottom_menu']
);

if ( $tpl_settings['inventory_menu'] === true )
{
	$l_menu_types['4'] = $GLOBALS['lang']['inventory_menu'];
}

/* page types */
$l_page_types = array(
	'static' => $GLOBALS['lang']['static'],
	'system' => $GLOBALS['lang']['system'],
	'external' => $GLOBALS['lang']['external']
);

/* blocks sides */
$l_block_sides = array(
	'left' => $GLOBALS['lang']['left'],
	'top' => $GLOBALS['lang']['top'],
	'bottom' => $GLOBALS['lang']['bottom'],
	'middle' => $GLOBALS['lang']['middle'],
	'middle_left' => $GLOBALS['lang']['middle_left'],
	'middle_right' => $GLOBALS['lang']['middle_right']
);

if ( $tpl_settings['right_block'] === true )
{
	$l_block_sides['right'] = $GLOBALS['lang']['right'];
}

/* blocks types */
$l_block_types = array(
	'html' => $GLOBALS['lang']['html'],
	'smarty' => $GLOBALS['lang']['smarty'],
	'php' => $GLOBALS['lang']['php']
);

/* plan types */
$l_plan_types = array(
	'listing' => $GLOBALS['lang']['listing_plan'],
	'package' => $GLOBALS['lang']['package_plan'],
	'featured' => $GLOBALS['lang']['featured_plan']
);

/* player files types */
$l_player_file_types = array(
	'flv' => '',
	'mp4' => '',
	'rtmp' => '',
	'swf' => '',
	'mp3' => ''
);

/* email template's variables */
$l_email_variables = array('{site_name}', '{site_url}', '{site_email}', '{username}');

/* youTube source */
$l_youtube_thumbnail = 'http://img.youtube.com/vi/{key}/1.jpg';
$l_youtube_direct = 'http://www.youtube.com/v/{key}&feature=player_embedded';

/* sub-level paths */
$search_results_url = 'search-results';
$advanced_search_url = 'advanced-search';

/* add listing process steps */
$steps = array(
	'category' => array(
		'name' => $lang['select_category'],
		'caption' => true,
	),
	'plan' => array(
		'name' => $lang['select_plan'],
		'caption' => true,
		'path' => 'select-a-plan'
	),
	'form' => array(
		'name' => $lang['fill_out_form'],
		'caption' => true,
		'path' => 'fill-out-a-form'
	),
	'photo' => array(
		'name' => $lang['add_photo'],
		'caption' => true,
		'path' => 'add-pictures'
	),
	'video' => array(
		'name' => $lang['add_video'],
		'caption' => true,
		'path' => 'add-video'
	),
	'checkout' => array(
		'name' => $lang['checkout'],
		'caption' => true,
		'path' => 'checkout'
	)
);

if (is_object($rlSmarty))
{
	$rlSmarty -> assign_by_ref( 'l_types', $l_types );
	$rlSmarty -> assign_by_ref( 'l_cond', $l_cond );
	$rlSmarty -> assign_by_ref( 'l_resize', $l_resize );
	$rlSmarty -> assign_by_ref( 'l_file_types', $l_file_types );
	$rlSmarty -> assign_by_ref( 'l_listing_types', $l_listing_types );
	$rlSmarty -> assign_by_ref( 'l_menu_types', $l_menu_types );
	$rlSmarty -> assign_by_ref( 'l_mobile_menu_types', $l_mobile_menu_types );
	$rlSmarty -> assign_by_ref( 'l_page_types', $l_page_types );
	$rlSmarty -> assign_by_ref( 'l_block_sides', $l_block_sides );
	$rlSmarty -> assign_by_ref( 'l_block_types', $l_block_types );
	$rlSmarty -> assign_by_ref( 'l_plan_types', $l_plan_types );
	$rlSmarty -> assign_by_ref( 'l_email_variables', $l_email_variables );
	$rlSmarty -> assign_by_ref( 'l_player_file_types', $l_player_file_types );
	$rlSmarty -> assign_by_ref( 'l_youtube_thumbnail', $l_youtube_thumbnail );
	$rlSmarty -> assign_by_ref( 'l_youtube_direct', $l_youtube_direct );
	$rlSmarty -> assign_by_ref( 'search_results_url', $search_results_url );
	$rlSmarty -> assign_by_ref( 'advanced_search_url', $advanced_search_url );
	$rlSmarty -> assign_by_ref( 'steps', $steps );
}
